<style>
    #search {
        border-radius: 5px;
        border: 2px solid rgb(240, 240, 240);
        height: 2em;
        width: 30em;
        font-family: 'Open Sans';
        font-size: 1em;
    }

    .input-wrapper {
        width: 30em;
        display: inline-block;
        position: relative;
    }

    .wee {
        position: absolute;
        margin-top: 0.5em;
        right: 1.5em;
    }

    /* .input-wrapper:after {
      font-family: 'FontAwesome';
      content: '\f274';
      position: absolute;
      right: 16px;
  } */

    .green {
        color: #30C381;
    }

    .red {
        color: #BD2130;
    }

    .pointer {
        cursor: pointer;
    }

    tr.expanded {
        border: 1px solid #000;
        height: 10em;
    }

    #search-bar {
        border-bottom: 1px solid rgb(208, 208, 208);
        padding: 1em;
    }
</style>

<ng-template #greenCheck><span style="color: #30C381"><fa-icon [icon]="faCheckCircle"></fa-icon></span></ng-template>
<ng-template #yellowCheck><span style="color: #E3B700"><fa-icon [icon]="faPauseCircle"></fa-icon></span></ng-template>
<ng-template #redCheck><span style="color: #BD2130"><fa-icon [icon]="faExclamationCircle"></fa-icon></span></ng-template>

<div id="apr-grid-div">

    <div id="search-bar">
        <div class="input-wrapper">
            <fa-icon [icon]="faSearch" ngClass="wee"></fa-icon>
            <input type="text" id="search" placeholder="Sök (namn, personnummer, handläggare)" [(ngModel)]="searchValue"
                (ngModelChange)="searchValueChanged($event)">
        </div>
    </div>
    <digi-table af-variation="secondary">
        <table class="applicant-table">
            <thead>
                <tr>
                    <th class="column-header" scope="col" *ngFor="let column of aprColumns; let i = index">
                        <grid-filter-overlay [column]="column" (filterSelect)="filterSelect($event)"
                            [canBeFiltered]="false" [currentFilters]="filters"
                            (closeAllOtherFilters)="closeFilters($event)"
                            [shouldClose]="shouldCloseFilters.asObservable()" [indexNumber]="i"></grid-filter-overlay>
                    </th>
                </tr>
            </thead>
            <tbody>

                <tr *ngFor="let application of applications" (click)="expandRow(application, $event)" class="pointer">
                    <td *ngFor="let column of aprColumns; let i = index">
                        <span *ngIf="column.extraKey !== ''; then tBlock else eBlock"></span>
                        <ng-template #tBlock>
                            <span *ngIf="application[column.extraKey]; else other_content">
                                <fa-icon [icon]="faCheckCircle" ngClass="green"></fa-icon>
                            </span>
                            {{ application[column.key] }}

                            <ng-template #other_content>
                                <span *ngIf="!application[column.extraKey] && column.extraKey == 'fully_done'; then yellowCheck else redCheck"></span>
                            </ng-template>
                        </ng-template>

                        <ng-template #eBlock>
                            <span *ngIf="i === 0; then boldBlock else notBoldBlock"></span>

                            <ng-template #boldBlock>
                                <b>{{ application[column.key] }}</b>
                            </ng-template>

                            <ng-template #notBoldBlock>
                                <span *ngIf="application[column.key] === 'Behörig'; then greenCheck"></span>
                                {{ application[column.key] }}
                            </ng-template>
                        </ng-template>

                    </td>


                </tr>

            </tbody>
        </table>
    </digi-table>
    <applicant-popover *ngIf="selectedApplication && showApplicantPopover" [applicant]="selectedApplicant"
        [application]="selectedApplication" [position]="popOverPosition" [width]="popOverWidth" [modalPipe]="modalPipe"
        [calledFromApr]="calledFromApr" (close)="closeApplicantPopup($event)"></applicant-popover>
</div>
